<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
   <LINK HREF="doxygen.css" REL="stylesheet" TYPE="text/css">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>
<table width="100%" height="20%"><tr>
<td align=Center>
<FONT COLOR="#0000FF"><FONT SIZE=+3>E</FONT></FONT><FONT SIZE=+1>UROPEAN</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>S</FONT></FONT><FONT SIZE=+1>YNCHROTRON</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>R</FONT></FONT><FONT SIZE=+1>ADIATION</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>F</FONT></FONT><FONT SIZE=+1>ACILITY</FONT></H1>
<H5>INSTALLATION EUROPEENNE DE RAYONNEMENT SYNCHROTRON<BR>
</td><td>
<A href="http://www.esrf.fr">
<IMG SRC="http://www.esrf.fr/gifs/logo/80.gif" 
		ALT="ESRF Logo" ALIGN=RIGHT border="0"></A>
</td></tr></table>

</Body>
</Html>
<!-- Generated by Doxygen 1.2.13.1 -->
<center>
<a class="qindex" href="main.html">Main Page</a> &nbsp; <a class="qindex" href="namespaces.html">Namespace List</a> &nbsp; <a class="qindex" href="classes.html">Alphabetical List</a> &nbsp; <a class="qindex" href="annotated.html">Compound List</a> &nbsp; <a class="qindex" href="files.html">File List</a> &nbsp; <a class="qindex" href="namespacemembers.html">Namespace Members</a> &nbsp; <a class="qindex" href="functions.html">Compound Members</a> &nbsp; <a class="qindex" href="globals.html">File Members</a> &nbsp; </center>
<hr><h1>Starter::Starter Member List</h1>This is the complete list of members for <a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a>, including all inherited members.<table>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z4_1">always_executed_hook</a>()</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td><code> [virtual]</code></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z6_2">build_server_ctrl_object</a>(void)</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td><code> [protected]</code></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#m7">dbase</a></td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z5_3">dev_get_running_servers</a>(Tango::DevBoolean)</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z5_4">dev_get_stop_servers</a>(Tango::DevBoolean)</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z5_7">dev_read_log</a>(Tango::DevString)</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z5_5">dev_start</a>(Tango::DevString)</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z5_1">dev_start_all</a>(Tango::DevShort)</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z5_0">dev_state</a>()</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td><code> [virtual]</code></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z5_6">dev_stop</a>(Tango::DevString)</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z5_2">dev_stop_all</a>(Tango::DevShort)</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z1_2">disableNotifyDaemon</a></td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z5_10">get_device_property</a>()</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z6_1">get_server_info</a>(ServerControled *)</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td><code> [protected]</code></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z4_0">init_device</a>()</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td><code> [virtual]</code></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z6_0">is_running</a>(ServerControled *)</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td><code> [protected]</code></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#a0">manage_PollingState_startup</a>()</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#m2">poller</a></td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#m3">polling_id</a></td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#m6">returned_str</a></td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#m4">servers</a></td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#m1">shared</a></td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z6_3">signal_handler</a>(long)</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td><code> [protected]</code></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z5_9">start_polling_thread</a>()</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z1_0">startDsPath</a></td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z2_0">Starter</a>(Tango::DeviceClass *, string &amp;)</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z2_1">Starter</a>(Tango::DeviceClass *, const char *)</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z2_2">Starter</a>(Tango::DeviceClass *, const char *, const char *)</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#m5">throwable</a></td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z5_8">update_servers_info</a>()</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#m0">util</a></td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z1_1">waitForDriverStartup</a></td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td></td></tr>
  <tr bgcolor="#f0f0f0"><td><a class="el" href="classStarter_1_1Starter.html#z3_0">~Starter</a>()</td><td><a class="el" href="classStarter_1_1Starter.html">Starter::Starter</a></td><td><code> [inline]</code></td></tr>
</table><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>

<Center>
<Br>
<HR WIDTH="100%"></H5>
<H3>(c) ESRF - Software Engineering Group </H33>
</Center>
</body>
</html>
